G_List(3)

NAME - G_List

HEADER REQUIRED
#include <gtk--/base.h&gt;>

PUBLIC MEMBER INDEX
    typedef G_List_Iterator  iterator;
    G_List();
    G_List(GList *l);
    ~G_List();
    G_List*  append(T* mydata);
    G_List*  prepend(T* mydata);
    G_List*  insert(T* mydata, gint myposition);
    G_List*  concat(G_List &list2);
    G_List*  remove(T* mydata);
    G_List*  remove_link(G_List &mylink);
    G_List*  reverse();
    G_List*  nth(guint n);
    T*  nth_data(guint n);
    T*  data();
    G_List*  find(T* mydata);
    gint  position(G_List &mylink);
    gint  index_of(T* mydata);
    G_List*  next();
    G_List*  prev();
    G_List*  first();
    G_List*  last();
    guint  length();
    void  foreach(GFunc func, T* user_data);
    G_List*  insert_sorted(T* mydata, GCompareFunc func);
    GList*  glist() const;
    iterator  begin();
    iterator  end();

PRIVATE MEMBER INDEX
    GList * list;
    G_List( const G_List& x);

PUBLIC MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS